GearmanJob::data
GearmanJob::fail
GearmanJob
PHP Manual

# GearmanJob::exception

(PECL gearman <= 0.5.0)

GearmanJob::exception — Send exception for running job (deprecated)

### Description

public bool GearmanJob::exception ( string `$exception` )

Sends the supplied exception when this job is running.

> Note: This method has been replaced by GearmanJob::sendException in the 0.6.0 release of the Gearman extension.

### Liste de paramètres

`exception`

  An exception description.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

### Voir aussi

- GearmanJob::setReturn - Set a return value
- GearmanJob::sendStatus - Send status
- GearmanJob::sendWarning - Send a warning

GearmanJob::data
GearmanJob::fail
GearmanJob
PHP Manual